
QGIS Application - Bug report #19409

[processing] GDAL fillnodata gets wrong mask

2018-07-13 10:34 AM - David Arango

Status: Closed

Priority: Normal

Assignee: Luigi Pirelli

Category: Processing/GDAL

Affected QGIS version:3.3(master) Regression?: No

Operating System: everyone Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27237

Description

Using the processing gdal.fillnodata algorithm the input mask is different from the selected raster mask.

The command line doesn't use the correct mask and it uses the following mask: "-mask

/home/cartolab/Escritorio/resultados/4_out_Z_heights.tif" 

gdal_fillnodata.py -md 10 -b 1 -mask /home/cartolab/Escritorio/resultados/4_out_Z_heights.tif -of GTiff

/home/cartolab/Escritorio/resultados/4_out_Z_heights.tif /home/cartolab/Escritorio/out_fill_4.tif

This bug is reported by Geomove project, developed by Cartolab

Associated revisions

Revision 95246e76 - 2018-07-13 11:47 AM - Luigi Pirelli

Mask parameter was wrongly set. Fixes #19409

Revision e2a740be - 2018-07-13 03:19 PM - Luigi Pirelli

Merge pull request #7408 from luipir/fix_gdalfillnodata_issue19409

[processing] Fix wrongly set mask in gdal:fillnodata Fixes #19409

Revision b9e5f4a2 - 2018-07-16 01:00 AM - Luigi Pirelli

Mask parameter was wrongly set. Fixes #19409

History

#1 - 2018-07-13 10:52 AM - Luigi Pirelli

seems the algorithm is affected of different problems

1) mask is not passed correctly (wrong intepretation of the parameter use)

2) result is not loaded automatically (if set) (not confirmed)

btw seems that mask is not used correctly by gdal command, but this can be a gdal problem that have to be investigated
#2 - 2018-07-13 10:52 AM - Luigi Pirelli

- Easy fix? changed from No to Yes

#3 - 2018-07-13 12:23 PM - Luigi Pirelli

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/7408

with tests

#4 - 2018-07-13 12:59 PM - Luigi Pirelli

Luigi Pirelli wrote:

seems the algorithm is affected of different problems

1) mask is not passed correctly

2) result is not loaded automatically (if set) (not confirmed)

btw seems that mask is not used correctly by gdal command, but this can be a gdal problem that have to be investigated

mask is processed correctly because they are the selection of nodatavalue areas that have to be processed

#5 - 2018-07-13 03:19 PM - Luigi Pirelli

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|95246e76cdccc6206fd491466553badef08dc578.

#6 - 2018-07-13 04:00 PM - Luigi Pirelli

ported to 3.2 https://github.com/qgis/QGIS/pull/7410 waiting for merge
